<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <TargetFramework>netstandard2.0</TargetFramework>
    <ProduceReferenceAssembly>true</ProduceReferenceAssembly>
    <ApplicationIcon />
    <OutputType>Library</OutputType>
    <StartupObject />    
  </PropertyGroup>

  <ItemGroup>
    <PackageReference Include="Microsoft.AspNetCore.SignalR.Client" Version="3.1.0" />
    <PackageReference Include="MvvmCross" Version="6.4.1" />
    <PackageReference Include="MvvmCross.Plugin.BLE" Version="2.1.1" />
    <PackageReference Include="Plugin.BLE" Version="2.1.1" />
    <PackageReference Include="System.Drawing.Common" Version="4.7.0" />
    <PackageReference Include="Xamarin.Forms" Version="4.4.0.991265" />
    <PackageReference Include="Xamarin.Essentials" Version="1.3.1" />
    <PackageReference Include="TouchTracking.Forms" Version="1.1.0" />
    <PackageReference Include="SkiaSharp.Views.Forms" Version="1.68.1" />
  </ItemGroup>
  <ItemGroup>
    <Folder Include="model\event\" />
    <Folder Include="viewmodel\" />
    <Folder Include="model\card\" />
    <Folder Include="model\deck\" />
    <Folder Include="model\Card\rapidCard\" />
    <Folder Include="model\gameActions\" />
    <Folder Include="model\gameActions\extreme\" />
    <Folder Include="model\gameActions\classic\" />
    <Folder Include="Media\" />
    <Folder Include="model\card\cardType\" />
    <Folder Include="model\piles\" />
    <Folder Include="model\gameActions\decimals\" />
    <Folder Include="model\gameActions\abstractRules\" />
    <Folder Include="model\gameActions\fraction\" />
    <Folder Include="Interface\" />
  </ItemGroup>
  <ItemGroup>
    <Compile Remove="model\effect\StopColm.cs" />
    <Compile Remove="model\effect\StopCom.cs" />
    <Compile Remove="model\manager.cs" />
    <Compile Remove="model\manager\GameManagerSolo.cs" />
    <Compile Remove="view\AppRessources.Designer.cs" />
    <Compile Remove="view\AppRessources-br.Designer.cs" />
  </ItemGroup>
  <ItemGroup>
    <None Remove="AppRessources.config" />
    <None Remove="view\MultiPlayerMode.xaml" />
    <None Remove="Media\thegame.jpg" />
    <None Remove="Media\Engrenage.jpeg" />
    <None Remove="Media\moon.jpg" />
    <None Remove="AppRessources-br.Designer.cs.orig" />
    <None Remove="Media\TrierImageBMax.png" />
    <None Remove="Media\TrierImageBMin.png" />
  </ItemGroup>
  <ItemGroup>
    <EmbeddedResource Include="Media\thegame.jpg" />
    <EmbeddedResource Include="Media\TrierImageBMax.png" />
    <EmbeddedResource Include="Media\TrierImageBMin.png" />
  </ItemGroup>
  <ItemGroup>
    <Reference Include="Mono.Android">
      <HintPath>..\..\..\Program Files (x86)\Microsoft Visual Studio\2019\Enterprise\Common7\IDE\ReferenceAssemblies\Microsoft\Framework\MonoAndroid\v9.0\Mono.Android.dll</HintPath>
    </Reference>
  </ItemGroup>
  <ItemGroup>
    <EmbeddedResource Update="Resx\AppResources.en-US.resx">
      <Generator></Generator>
    </EmbeddedResource>
    <EmbeddedResource Update="Resx\AppResources.resx">
      <Generator>PublicResXFileCodeGenerator</Generator>
      <LastGenOutput>AppResources.Designer.cs</LastGenOutput>
    </EmbeddedResource>
    <EmbeddedResource Update="DictionnaireBGCBLACK.xaml">
      <Generator>MSBuild:UpdateDesignTimeXaml</Generator>
    </EmbeddedResource>
    <EmbeddedResource Update="DictionnaireBGCWhite.xaml">
      <Generator>MSBuild:UpdateDesignTimeXaml</Generator>
    </EmbeddedResource>
    <EmbeddedResource Update="view\LastPage_Rules.xaml">
      <Generator>MSBuild:UpdateDesignTimeXaml</Generator>
    </EmbeddedResource>
    <EmbeddedResource Update="view\RulesGame.xaml">
      <Generator>MSBuild:UpdateDesignTimeXaml</Generator>
    </EmbeddedResource>
    <EmbeddedResource Update="view\secondePageRules.xaml">
      <Generator>MSBuild:UpdateDesignTimeXaml</Generator>
    </EmbeddedResource>
    <EmbeddedResource Update="view\Testconnectivit�.xaml">
      <Generator>MSBuild:UpdateDesignTimeXaml</Generator>
    </EmbeddedResource>
  </ItemGroup>
  <ItemGroup>
    <Compile Update="Resx\AppResources.Designer.cs">
      <DesignTime>True</DesignTime>
      <AutoGen>True</AutoGen>
      <DependentUpon>AppRessources.resx</DependentUpon>
    </Compile>
    <Compile Update="Resx\AppResources.Designer.cs">
      <DependentUpon>AppResources.resx</DependentUpon>
      <DesignTime>True</DesignTime>
      <AutoGen>True</AutoGen>
    </Compile>
  </ItemGroup>
</Project>